Subject: Re: Some cleanup of pg_stat_statements tests

From: Chao Li <[email-masked]>
Date: Tue, 20 Jan 2026 14:09:16 +0800

> On Jan 20, 2026, at 07:33, Michael Paquier <[email-masked]> wrote:
> 
> Hi all,
> 
> While looking at this area of the code, I have noticed that the new
> "squashing" test is not consistent with the rest of the test suite,
> re-creating the extension for nothing.
> 
> The structure of the test is to have the "cleanup" phase second to
> last, so as there is no need to create multiple times the extensions.
> 
> In passing, I'd like to suggest that REGRESS in the Makefile uses one
> item per line, to minimize diffs when we add new stuff.
> 
> Any thoughts or objections about the attached?
> Thanks,
> --
> Michael
> <0001-pg_stat_statements-Clean-up-test-logic.patch>

LGTM. And I tried to the test and saw squashing is now before cleanup:

```
# +++ regress check in contrib/pg_stat_statements +++
# initializing database system by copying initdb template
# using temp instance on port 58928 with PID 2069
ok 1         - select                                     68 ms
ok 2         - dml                                        23 ms
ok 3         - cursors                                    14 ms
ok 4         - utility                                    76 ms
ok 5         - level_tracking                             56 ms
ok 6         - planning                                   14 ms
ok 7         - user_activity                              15 ms
ok 8         - wal                                        13 ms
ok 9         - entry_timestamp                            14 ms
ok 10        - privileges                                 15 ms
ok 11        - extended                                   15 ms
ok 12        - parallel                                   16 ms
ok 13        - plancache                                  16 ms
ok 14        - squashing                                  39 ms
ok 15        - cleanup                                    10 ms
ok 16        - oldextversions                             52 ms
1..16
# All 16 tests passed.
```

Best regards,
--
Chao Li (Evan)
HighGo Software Co., Ltd.
https://www.highgo.com/